[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Lua 5.0.1 pre-release port



Just a note:

In "As Lua 5.0.1 probably won't be released before July" I was referring
to Lua 5.1, not 5.0.1. Lua 5.0.1 will be released really soon...

-p.

On Tue, Jan 13, 2004 at 12:38:52PM -0200, Pedro Martelletto wrote:
> Hi,
> 
> For those using the Lua extension language and willing to either upgrade
> from 5.0 or to simply install version 5.0.1, these are links of
> interest:
> 
> The port itself:
>         http://pedro.ambientworks.net/lua-5.0.1-openbsd_port.tgz
> 
> A patch against -current ports/lang/lua:
>         http://pedro.ambientworks.net/lua-5.0.1.diff
> 
> As Lua 5.0.1 probably won't be released before July (wild guess) and
> nothing in the ports tree currently depends on it, this e-mail is rather
> a note for those fellows OpenBSD users using Lua than a proposal for
> inclusion in the ports tree.
> 
> Lua 5.0 has a stack management bug that manifests when running the
> IonWM, so in order to use it, version 5.0.1 is needed. Lua is a
> powerful, lightweight extension language made at PUC-Rio.
> 
> -p.